Skip to main content

private/cancel-order

POST 

/private/cancel-order

Cancels an existing order on the Exchange.

This call is asynchronous, so the response is simply a confirmation of the request.

The user.order subscription can be used to check when the order is successfully canceled.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/cancel-order"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    order_id int64

    Optional Order ID. Either order_id or client_oid must be present. string format is highly recommended.

    client_oid string

    Optional Client Order ID. Either order_id or client_oid must be present.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. order_id, client_oid.
    order_id int64

    Order ID

    client_oid string

    Client Order ID

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.